## org.eclipse.jet.compiler
Class JET2Directive

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.JET2Directive

    public final class JET2Directive

extends JET2ASTElement

Define a Directive Element in the JET2 AST

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Visit the AST and its contained elements.
`java.util.Map` `getAttributes()` Return a Map the directive attribute names to values
`java.lang.String` `getName()` Return the directive name
`boolean` `removeLineWhenOtherwiseEmpty()` Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public final java.lang.String getName()

  Return the directive name

  Returns:
    the directive name

### getAttributes

    public final java.util.Map getAttributes()

  Return a Map the directive attribute names to values

  Returns:
    a Map of the directive attributes (unmodifiable)

### accept

    public void accept(JET2ASTVisitor visitor)

  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

### removeLineWhenOtherwiseEmpty

    public boolean removeLineWhenOtherwiseEmpty()

  Description copied from class: `JET2ASTElement`
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Specified by:
    `removeLineWhenOtherwiseEmpty` in class `JET2ASTElement`
  Returns:
    `true` if the containing line should be removed if otherwise empty.

Copyright 2006 IBM Corporation and others. All Rights Reserved.